Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Enum ProcedureType

    java.lang.Object
      java.lang.Enum<ProcedureType>
          be.vlaanderen.mercurius.mohm.schemas.v1.ProcedureType

All Implemented Interfaces:
  Serializable, Comparable<ProcedureType>

    public enum ProcedureType

extends Enum<ProcedureType>

Java class for ProcedureType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="ProcedureType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="Simplified_application"/>
         <enumeration value="Basic"/>
         <enumeration value="Extensive"/>
         <enumeration value="Extensive_plus"/>
         <enumeration value="BTC"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`BASIC` Basis
`BTC` BTC
`EXTENSIVE` Uitgebreide
`EXTENSIVE_PLUS` Uitgebreide +
`SIMPLIFIED_APPLICATION` Vereenvoudigde aanvraag

Method Summary
`static ProcedureType` | `fromValue(String v)`
`String` | `value()`
`static ProcedureType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ProcedureType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SIMPLIFIED_APPLICATION

    public static final ProcedureType SIMPLIFIED_APPLICATION

  Vereenvoudigde aanvraag

### BASIC

    public static final ProcedureType BASIC

  Basis

### EXTENSIVE

    public static final ProcedureType EXTENSIVE

  Uitgebreide

### EXTENSIVE_PLUS

    public static final ProcedureType EXTENSIVE_PLUS

  Uitgebreide +

### BTC

    public static final ProcedureType BTC

  BTC

Method Detail

### values

    public static ProcedureType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ProcedureType c : ProcedureType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ProcedureType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static ProcedureType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.